Установка python-dev на Entware-3x

Форум для технических вопросов на любые темы от новичков
Panasoft
Сообщения: 2
Зарегистрирован: 30 июн 2017, 23:12

Сообщение Panasoft » 30 июн 2017, 23:31

Здравия всем!
Не получается установить python-dev на Keenetic GIGA II (NDMS 2.10.A.3.0-1), получаю вот такое:

Код: Выделить всё

# opkg install python-dev
Installing python-dev (2.7.13-5) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/python-dev_2.7.13-5_mipsel-3x.ipk
Collected errors:
 * check_data_file_clashes: Package python-dev wants to install file /opt/lib/libpython2.7.so
	But that file is already provided by package  * python-base
 * check_data_file_clashes: Package python-dev wants to install file /opt/lib/libpython2.7.so.1.0
	But that file is already provided by package  * python-base
 * opkg_install_cmd: Cannot install package python-dev.

Пожалуйста, помогите разобраться и установить python-dev.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1353
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 01 июл 2017, 08:13

Добавьте ` --force-overwrite` в команду установки.
Прочтите wiki - https://github.com/Entware-ng/Entware-n ... on-modules
Там не указано, что нужен этот пакет. Он не обязаетелен!

Panasoft
Сообщения: 2
Зарегистрирован: 30 июн 2017, 23:12

Сообщение Panasoft » 01 июл 2017, 10:28

Спасибо за быстрый ответ.
Прочитал wiki, пытаюсь установить заголовочные файлы:

Код: Выделить всё

wget -qO- http://pkg.entware.net/binaries/armv7/include/include.tar.gz | tar xvz -C /opt/include

Substitute amv7 with (armv5,x86-32,x86-64) appropriate for your feed/architecture.
но в указанном месте отсутствует include.tar.gz для mipsel. Дело застопорилось.
PS. Нашёл вот это, только не уверен, что это именно то, что нужно:
http://pkg.entware.net/binaries/other/m ... ude.tar.gz

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1353
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 01 июл 2017, 18:52

Panasoft писал(а):Источник цитаты Нашёл вот это, только не уверен, что это именно то, что нужно:

Вам нужен аналогичный файл, но из структуры папок entware-3x.
В entware-ng нет gcc и нет хедеров для mipsel!


Вернуться в «Песочница»

Кто сейчас на конференции

Всего 1 посетитель :: 1 зарегистрированный, 0 скрытых и 0 гостей (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (121) здесь было 18 май 2016, 18:19

Сейчас этот форум просматривают: CommonCrawl [Bot] и 0 гостей